Bug 1155840 - Bad USB cable causes eternal kernel messages, even after unplug: "tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd"
Bad USB cable causes eternal kernel messages, even after unplug: "tag#0 sense...
Status: RESOLVED WORKSFORME
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Kernel
Leap 15.1
x86-64 Other
: P5 - None : Major (vote)
: ---
Assigned To: openSUSE Kernel Bugs
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-11-04 21:16 UTC by Ulrich Windl
Modified: 2020-11-23 08:27 UTC (History)
4 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
no logging in case of ENODEV (1007 bytes, patch)
2020-03-24 14:20 UTC, Oliver Neukum
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ulrich Windl 2019-11-04 21:16:50 UTC
I was testing a new external USB 3.0 HDD case. As I have an existing case that doesn't like any USB extension cords, I tried a cheaper USB 3.0 extension cable, making 1m + 1m directly from the motherboard's on-board USB socket to the HDD case.

The HDD case has a JMicron JMS578 (https://www.jmicron.com/file/download/1015/JMS576_Product+Brief.pdf) controller chip, externally powered.

When connecting the device, the following messages appeared:
Nov 04 21:02:28 i7pc kernel: usb 4-4: new SuperSpeed USB device number 2 using xhci_hcd
Nov 04 21:02:28 i7pc mtp-probe[4033]: checking bus 4, device 2: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-4"
Nov 04 21:02:28 i7pc kernel: usb 4-4: New USB device found, idVendor=152d, idProduct=0578
Nov 04 21:02:28 i7pc kernel: usb 4-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Nov 04 21:02:28 i7pc kernel: usb 4-4: Product: USB to ATA/ATAPI Bridge
Nov 04 21:02:28 i7pc kernel: usb 4-4: Manufacturer: JMicron
Nov 04 21:02:28 i7pc kernel: usb 4-4: SerialNumber: 0123456789ABCDEF
Nov 04 21:02:28 i7pc mtp-probe[4033]: bus: 4, device: 2 was not an MTP device
Nov 04 21:02:28 i7pc kernel: usbcore: registered new interface driver usb-storage
Nov 04 21:02:28 i7pc kernel: scsi host6: uas
Nov 04 21:02:28 i7pc kernel: scsi 6:0:0:0: Direct-Access     JMicron  Generic          0508 PQ: 0 ANSI: 6
Nov 04 21:02:28 i7pc kernel: sd 6:0:0:0: Attached scsi generic sg5 type 0
Nov 04 21:02:29 i7pc kernel: usb 4-4: USB disconnect, device number 2
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: tag#1 uas_eh_abort_handler 0 uas-tag 2 inflight: CMD IN 
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: tag#1 CDB: Report luns a0 00 00 00 00 00 00 00 10 00 00 00
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: CMD 
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: tag#0 CDB: Test Unit Ready 00 00 00 00 00 00
Nov 04 21:03:00 i7pc kernel: scsi host6: uas_eh_device_reset_handler FAILED to get lock err -19
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: Device offlined - not ready after error recovery
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: Device offlined - not ready after error recovery
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Read Capacity(16) failed: Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Sense not available.
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Read Capacity(10) failed: Result: hostbyte=DID_NO_CONNECT driverbyte=DRIVER_OK
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Sense not available.
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] 0 512-byte logical blocks: (0 B/0 B)
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] 0-byte physical blocks
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Write Protect is off
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Mode Sense: 00 00 00 00
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Asking for cache data failed
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Assuming drive cache: write through
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: rejecting I/O to offline device
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd 
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00
Nov 04 21:03:00 i7pc kernel: sd 6:0:0:0: [sde] Attached SCSI disk
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd 
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd 
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd 
Nov 04 21:03:00 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00

These messages continued so fast that I couldn't even "interrupt journalctl -b -f", even after having powered down the device and disconnected the cable, dmesg showed new kernel messages arriving:

Nov 04 21:14:21 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00
Nov 04 21:14:21 i7pc kernel: scsi 6:0:0:1: tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd 
Nov 04 21:14:21 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00
Nov 04 21:14:21 i7pc kernel: scsi 6:0:0:1: tag#0 sense submit err -19 uas-tag 1 inflight: s-st a-in s-in a-cmd s-cmd 
Nov 04 21:14:21 i7pc kernel: scsi 6:0:0:1: tag#0 CDB: Inquiry 12 00 00 00 24 00

Trying a "shutdown -r" also had severe problems shutting down (took "forever").

Then I was repeating the same test using a different, more expensive, USB 3.0 extension cable:
Nov 04 21:25:45 i7pc kernel: usb 4-4: new SuperSpeed USB device number 2 using xhci_hcd
Nov 04 21:25:45 i7pc mtp-probe[3626]: checking bus 4, device 2: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-4"
Nov 04 21:25:45 i7pc kernel: usb 4-4: New USB device found, idVendor=152d, idProduct=0578
Nov 04 21:25:45 i7pc kernel: usb 4-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Nov 04 21:25:45 i7pc kernel: usb 4-4: Product: USB to ATA/ATAPI Bridge
Nov 04 21:25:45 i7pc kernel: usb 4-4: Manufacturer: JMicron
Nov 04 21:25:45 i7pc kernel: usb 4-4: SerialNumber: 0123456789ABCDEF
Nov 04 21:25:45 i7pc mtp-probe[3626]: bus: 4, device: 2 was not an MTP device
Nov 04 21:25:45 i7pc kernel: usbcore: registered new interface driver usb-storage
Nov 04 21:25:45 i7pc kernel: scsi host6: uas
Nov 04 21:25:45 i7pc kernel: scsi 6:0:0:0: Direct-Access     JMicron  Generic          0508 PQ: 0 ANSI: 6
Nov 04 21:25:45 i7pc kernel: sd 6:0:0:0: Attached scsi generic sg5 type 0
Nov 04 21:25:45 i7pc kernel: usbcore: registered new interface driver uas
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] 3907029168 512-byte logical blocks: (2.00 TB/1.82 TiB)
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] 4096-byte physical blocks
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] Write Protect is off
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] Mode Sense: 53 00 00 08
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] Disabling FUA
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] Optimal transfer size 33553920 bytes not a multiple of physical block size (4096 bytes)
Nov 04 21:25:53 i7pc kernel: sd 6:0:0:0: [sde] Attached SCSI disk

Just in case:
Kernel being used is 4.12.14-lp151.28.20-default
Disk in HDD case is WDC WD20EZRZ-00Z5HB0 (Western Digital Blue 2TB)
HDD case is Inateck "USB 3.0 Mesh 3.5 Inch HDD Enclosure Support UASP, SA01003" (https://www.inateck.com/sa01003-usb-3-0-mesh-3-5-inch-hdd-enclosure-support-uasp.html)

What I do expect:
1) Rate-limiting these messages (grep found "uas-tag.*inflight:" 54962 times in the journal; if I hadn't rebooted, it would be much more)
2) Eventually aborting the error state, especially if the device was disconnected.

Related: The USB ID is not well-matched: The device is reported as
Bus 004 Device 002: ID 152d:0578 JMicron Technology Corp. / JMicron USA Technology Corp. 
The 0x578 should be the "JMS578".

On the optimal transfer size: 33553920 seems to be a multiple of 512 (1111111111111111000000000 as binary number, 65535*512).
Comment 1 Ulrich Windl 2019-11-05 00:00:37 UTC
It seems the UAS code isn't very robust: While writing to a disk using 4k blocks, I see many errors like this (and processes seem to hang on I/O):

...
Nov 05 00:49:14 i7pc.site kernel: sd 6:0:0:0: [sde] tag#14 uas_eh_abort_handler 0 uas-tag 15 inflight: CMD OUT 
Nov 05 00:49:14 i7pc.site kernel: sd 6:0:0:0: [sde] tag#14 CDB: Write(10) 2a 00 00 72 68 00 00 04 00 00
Nov 05 00:49:14 i7pc.site kernel: sd 6:0:0:0: [sde] tag#13 uas_eh_abort_handler 0 uas-tag 14 inflight: CMD OUT 
Nov 05 00:49:14 i7pc.site kernel: sd 6:0:0:0: [sde] tag#13 CDB: Write(10) 2a 00 00 72 64 00 00 04 00 00
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#21 uas_eh_abort_handler 0 uas-tag 22 inflight: CMD OUT 
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#21 CDB: Write(10) 2a 00 00 72 80 00 00 04 00 00
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#20 uas_eh_abort_handler 0 uas-tag 21 inflight: CMD OUT 
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#20 CDB: Write(10) 2a 00 00 72 7c 00 00 04 00 00
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#19 uas_eh_abort_handler 0 uas-tag 20 inflight: CMD OUT 
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#19 CDB: Write(10) 2a 00 00 72 78 00 00 04 00 00
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#18 uas_eh_abort_handler 0 uas-tag 19 inflight: CMD OUT 
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#18 CDB: Write(10) 2a 00 00 72 74 00 00 04 00 00
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#17 uas_eh_abort_handler 0 uas-tag 18 inflight: CMD OUT 
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#17 CDB: Write(10) 2a 00 00 72 70 00 00 04 00 00
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#16 uas_eh_abort_handler 0 uas-tag 17 inflight: CMD OUT 
Nov 05 00:49:20 i7pc.site kernel: sd 6:0:0:0: [sde] tag#16 CDB: Write(10) 2a 00 00 72 6c 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#10 uas_eh_abort_handler 0 uas-tag 11 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#10 CDB: Write(10) 2a 00 00 72 c4 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#9 uas_eh_abort_handler 0 uas-tag 10 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#9 CDB: Write(10) 2a 00 00 72 c0 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#8 uas_eh_abort_handler 0 uas-tag 9 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#8 CDB: Write(10) 2a 00 00 72 bc 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#7 uas_eh_abort_handler 0 uas-tag 8 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#7 CDB: Write(10) 2a 00 00 72 b8 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#6 uas_eh_abort_handler 0 uas-tag 7 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#6 CDB: Write(10) 2a 00 00 72 b4 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#5 uas_eh_abort_handler 0 uas-tag 6 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#5 CDB: Write(10) 2a 00 00 72 b0 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#4 uas_eh_abort_handler 0 uas-tag 5 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#4 CDB: Write(10) 2a 00 00 72 ac 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#3 uas_eh_abort_handler 0 uas-tag 4 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#3 CDB: Write(10) 2a 00 00 72 a8 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#2 uas_eh_abort_handler 0 uas-tag 3 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#2 CDB: Write(10) 2a 00 00 72 a4 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#1 uas_eh_abort_handler 0 uas-tag 2 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#1 CDB: Write(10) 2a 00 00 72 a0 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#0 uas_eh_abort_handler 0 uas-tag 1 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#0 CDB: Write(10) 2a 00 00 72 9c 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#27 uas_eh_abort_handler 0 uas-tag 28 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#27 CDB: Write(10) 2a 00 00 72 98 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#26 uas_eh_abort_handler 0 uas-tag 27 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#26 CDB: Write(10) 2a 00 00 72 94 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#25 uas_eh_abort_handler 0 uas-tag 26 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#25 CDB: Write(10) 2a 00 00 72 90 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#24 uas_eh_abort_handler 0 uas-tag 25 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#24 CDB: Write(10) 2a 00 00 72 8c 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#23 uas_eh_abort_handler 0 uas-tag 24 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#23 CDB: Write(10) 2a 00 00 72 88 00 00 04 00 00
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#22 uas_eh_abort_handler 0 uas-tag 23 inflight: CMD OUT 
Nov 05 00:49:21 i7pc.site kernel: sd 6:0:0:0: [sde] tag#22 CDB: Write(10) 2a 00 00 72 84 00 00 04 00 00
Nov 05 00:49:30 i7pc.site kernel: sd 6:0:0:0: [sde] tag#12 uas_eh_abort_handler 0 uas-tag 13 inflight: CMD OUT 
Nov 05 00:49:30 i7pc.site kernel: sd 6:0:0:0: [sde] tag#12 CDB: Write(10) 2a 00 00 72 cc 00 00 04 00 00
Nov 05 00:49:30 i7pc.site kernel: sd 6:0:0:0: [sde] tag#11 uas_eh_abort_handler 0 uas-tag 12 inflight: CMD OUT 
Nov 05 00:49:30 i7pc.site kernel: sd 6:0:0:0: [sde] tag#11 CDB: Write(10) 2a 00 00 72 c8 00 00 04 00 00
Nov 05 00:49:50 i7pc.site kernel: sd 6:0:0:0: [sde] tag#15 uas_eh_abort_handler 0 uas-tag 16 inflight: CMD IN 
Nov 05 00:49:50 i7pc.site kernel: sd 6:0:0:0: [sde] tag#15 CDB: ATA command pass through(16) 85 08 0e 00 d0 00 01 00 00 00 4f 00 c2 00 b0 00
Nov 05 00:49:50 i7pc.site kernel: scsi host6: uas_eh_device_reset_handler start
Nov 05 00:49:50 i7pc.site kernel: usb 4-4: reset SuperSpeed USB device number 2 using xhci_hcd
Nov 05 00:49:51 i7pc.site kernel: scsi host6: uas_eh_device_reset_handler success

(The disk may have a bad sector)
Comment 2 Miroslav Beneš 2020-03-24 12:38:36 UTC
Forgotten.

Oliver, Nicolas, could you take a look?

Ulrich, I suppose the problem persists even with newer kernels, doesn't it?
Comment 3 Oliver Neukum 2020-03-24 14:20:47 UTC
Created attachment 833750 [details]
no logging in case of ENODEV
Comment 4 Oliver Neukum 2020-03-24 14:23:04 UTC
Please retest with KOTD and the patch from comment#3.
Do you need a test kernel?
Comment 5 Ulrich Windl 2020-03-24 15:07:22 UTC
In case the problem still exists in the current kernel, then yes, I'd need a kernel (to avoid building myself).
Comment 6 Miroslav Beneš 2020-07-15 13:21:33 UTC
Ulrich, was/is KOTD broken then?
Comment 7 Miroslav Beneš 2020-11-19 14:21:49 UTC
Ulrich, Leap 15.2 with 5.3 kernel was released meanwhile. Is it still happening there? Could you also try the kernel from Kernel:stable repo in OBS? If there is still a problem, I'll build the kernel with Oliver's patch for you.
Comment 8 Ulrich Windl 2020-11-20 08:01:22 UTC
Actually I'm at 15.2 in the meantime (and I noticed several USB fixed that may be related to the issue). I'll try to re-test and report.
Comment 9 Ulrich Windl 2020-11-21 16:55:12 UTC
Amazingly it seems that with kernel 5.3.18-lp152.50-preempt (Leap 15.2) even the cheaper USB 3.0 cable works without a problem:
Nov 21 17:37:32 i7pc.site kernel: usb 4-5: new SuperSpeed Gen 1 USB device number 2 using xhci_hcd
Nov 21 17:37:32 i7pc.site kernel: usb 4-5: New USB device found, idVendor=152d, idProduct=0578, bcdDevice= 5.08
Nov 21 17:37:32 i7pc.site kernel: usb 4-5: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Nov 21 17:37:32 i7pc.site kernel: usb 4-5: Product: USB to ATA/ATAPI Bridge
Nov 21 17:37:32 i7pc.site kernel: usb 4-5: Manufacturer: JMicron
Nov 21 17:37:32 i7pc.site kernel: usb 4-5: SerialNumber: 0123456789ABCDEF
Nov 21 17:37:32 i7pc.site mtp-probe[26062]: checking bus 4, device 2: "/sys/devices/pci0000:00/0000:00:14.0/usb4/4-5"
Nov 21 17:37:32 i7pc.site mtp-probe[26062]: bus: 4, device: 2 was not an MTP device
Nov 21 17:37:32 i7pc.site kernel: usbcore: registered new interface driver usb-storage
Nov 21 17:37:32 i7pc.site kernel: scsi host6: uas
Nov 21 17:37:32 i7pc.site kernel: usbcore: registered new interface driver uas
Nov 21 17:37:32 i7pc.site kernel: scsi 6:0:0:0: Direct-Access     JMicron  Generic          0508 PQ: 0 ANSI: 6
Nov 21 17:37:32 i7pc.site kernel: sd 6:0:0:0: Attached scsi generic sg5 type 0
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] 976773168 512-byte logical blocks: (500 GB/466 GiB)
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] 4096-byte physical blocks
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] Write Protect is off
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] Mode Sense: 53 00 00 08
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] Disabling FUA
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] Write cache: enabled, read cache: enabled, doesn't support DPO or FUA
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] Optimal transfer size 33553920 bytes not a multiple of physical block size (4096 bytes)
Nov 21 17:37:39 i7pc.site kernel:  sde: sde1 sde2 sde3 sde4
Nov 21 17:37:39 i7pc.site kernel: sd 6:0:0:0: [sde] Attached SCSI disk

Even after a short test, there were no error s logged.
# hdparm -t /dev/sde

/dev/sde:
 Timing buffered disk reads: 316 MB in  3.00 seconds = 105.31 MB/sec
Another direct random read test on the disk also did not trigger any error.

# lsusb -t
/:  Bus 04.Port 1: Dev 1, Class=root_hub, Driver=xhci_hcd/6p, 5000M
    |__ Port 5: Dev 2, If 0, Class=Mass Storage, Driver=uas, 5000M
Comment 10 Miroslav Beneš 2020-11-23 08:27:18 UTC
Great, so I guess we can close this.